安装成功NVIDIA-Linux-x86-1.0-9755-pkg1.run庆祝一下!

为当前最终发行版之前的所有版本提供支持
回复
yjxlove
帖子: 37
注册时间: 2006-04-10 11:55
来自: 上海市
送出感谢: 0
接收感谢: 0
联系:

安装成功NVIDIA-Linux-x86-1.0-9755-pkg1.run庆祝一下!

#1

帖子 yjxlove » 2007-04-03 0:29

联想 天逸 100
内存1280MB
显卡nvidia go 6200

安装了6.10 Edgy Eft
没有做任何事情直接手动安装nvidia 9755驱动
之前用源里的驱动安装是成功的,可惜源里的驱动没有nvidia settings这个设置程序,而且logo也没有新的好看。虽然大侠们都是把logo去掉的。

1、禁止系统使用默认的驱动
sudo gedit /etc/default/linux-restricted-modules-common
在最后的双引号中添加nv,即“”改成“nv”

2、预防起动X失败
sudo cp /etc/X11/xorg.conf /etc/X11/xorg.conf.mybackup
如果起动X失败,可以用sudo cp /etc/X11/xorg.conf.mybackup /etc/X11/xorg.conf来灰复X设置,然后起动

4、--使用系统自带的源
sudo apt-get update

--sudo apt-get install linux-headers-$(uname -r) build-essential(一开始用的这个)
或者
3、sudo apt-get install build-essential linux-headers-`uname -r`(最后成功的一次用的是这个,在俺菜鸟看起来好像没啥区别啊)
上面两个软件包在装驱动时要用。

登出系统

按ctrl+alt+F1 进入字符界面

4、再运行下载回来的程序,如 NVIDIA-Linux-x86-1.0-9755-pkg1.run(别放在中文目录下)

sudo /etc/init.d/gdm stop
chmod +x NVIDIA-Linux-x86-1.0-9755-pkg1.run
sudo sh /NVIDIA-Linux-x86-1.0-9755-pkg1.run

安装过程中,
如果提示有旧驱动,询问是否删除旧驱动,选Yes;
如果提示缺少某某模块(modules),询问是否上网下载,选no;
如果提示编译模块,询问是否进行编译,选ok;
如果提示将要修改Xorg.conf,询问是否允许,选Yes;
接下来就是等待安装完成

sudo /etc/init.d/gdm start

5、测试
进入图形界面运行
#glxinfo | grep rendering
显示:direct rendering: Yes
#OpenGl已经打开

--测试成功!2007-4-2

花了两天时间终于安装成功,之前少了第一步,安装的时候是成功的,也可看见logo,但重新启动机器之后就报错了。
报错如下
Failed to start the X server(your graphical
interface). Tt is likely that is is not set up
correctly. Would you like to view the X
server output to diagnose the problem?
yes no

接着报错如下
The X server is now disabled. Restart
GDM when it is configured correctly.

还望大侠们赐教,到底是啥原因之前会失败。

以上经验还望对后来者有所借鉴!!!

还有就是,之前安装完系统试过安装vmware 5.5.3直接安装成功,而且也实验装了Winxp,没有论坛上要装什么补丁的情况。

还有当中也看了许多大侠的帖子,这里谢过了。
weblog_entry.php?e=2968
http://bbs.linuxsky.net/viewthread.php?tid=3162
还有的没记下..............

好了继续搞搞了!
yjxlove
帖子: 37
注册时间: 2006-04-10 11:55
来自: 上海市
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 yjxlove » 2007-04-03 13:06

没想到安装VMware这么简单!

本人安装的是 5.5.3的版本

界面基本更Windows下的差不多!

在来庆祝一下!
yjxlove
帖子: 37
注册时间: 2006-04-10 11:55
来自: 上海市
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 yjxlove » 2007-04-03 13:12

Beryl安装更简单!

完全参照:viewtopic.php?t=30638

第三节 安装Beryl

2.安装beryl

sudo apt-get install beryl emerald emerald-themes

修改xorg.conf

sudo gedit /etc/X11/xorg.conf

在 Section "Screen" 里面添加
Option "AddARGBGLXVisuals" "True"

可选:
在 Section "Device" 里面添加 [我没添加]
Option "TripleBuffer" "true"

添加如下一项:(本人没有添加)[我也没添加]
Section "Extensions"
Option "Composite" "Enable"
EndSection

保存退出

在系统-》首选项-》会话-》起动程序 里面添加一项”beryl-manager“

注销

alt+ctrl+backspace,重启X

==================================
再次感谢精华贴的的大侠们!
虽然还没完全搞懂beryl!!!
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2007-04-03 13:27

不错, 加油
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
ccrt
帖子: 16
注册时间: 2007-03-20 10:18
送出感谢: 0
接收感谢: 0

#5

帖子 ccrt » 2007-04-03 14:40

你的情况我也遇到了,当时什么都没想,就直接进入命令行从新安装了一遍驱动,结果就解决问题了。
我7.04 和6.10 都测试过,这样就解决问题了,但就所不明白原因。
yjxlove
帖子: 37
注册时间: 2006-04-10 11:55
来自: 上海市
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 yjxlove » 2007-04-03 15:34

代码: 全选

beryl 是不是就是多了4个桌面,
和一些MAC上的打开,关闭,最小化,最大化窗口的特效啊?

感觉不错啊!!!

继续庆祝!!

顺便问一句大侠们,你们装好6.10都把更新升级了吗?
yjxlove
帖子: 37
注册时间: 2006-04-10 11:55
来自: 上海市
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 yjxlove » 2007-04-03 17:37

GHOST了番茄的XP到C盘,按照下面的方法做了双启动!!

viewtopic.php?t=34110

不错不错!!
jesle
帖子: 5
注册时间: 2007-03-31 11:11
送出感谢: 0
接收感谢: 0

#8

帖子 jesle » 2007-04-04 7:46

4、--使用系统自带的源
sudo apt-get update

--sudo apt-get install linux-headers-$(uname -r) build-essential(一开始用的这个)
或者
3、sudo apt-get install build-essential linux-headers-`uname -r`(最后成功的一次用的是这个,在俺菜鸟看起来好像没啥区别啊)
上面两个软件包在装驱动时要用。

为什么我运行这一步的时候最后一行提示:E~未发现build-essential。
这里面显示的内核是2.6.7-10(大概,有点忘了,应该是最新的)


如果接着安装,会提示内核不对,这两者有联系吗?
我的机器安装的时候没有上网,有没有关系呀?
头像
Tenyears
帖子: 2245
注册时间: 2005-06-30 15:46
来自: 成都
送出感谢: 0
接收感谢: 0

#9

帖子 Tenyears » 2007-04-04 9:17

如果用envy的话,应该是很简单的。
Humanity to others // 己所不欲,勿施与人
Laptop: ThinkPad X220 --- Win7 Home / Ubuntu 12.04
Desktop: Win7/Ubuntu 12.04
Server: Ubuntu12.04
回复

回到 “老旧版本支持”